## claws-mail-extra-plugins 3.7.6

=== debian/changelog ===
claws-mail-extra-plugins (3.7.6-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/README.source
  - Removed (not needed anymore)
  * debian/control
  - Updated libclaws-mail-dev required version to 3.7.6

 -- Ricardo Mones <mones@debian.org>  Thu, 06 May 2010 13:37:41 +0200

claws-mail-extra-plugins (3.7.5-1) unstable; urgency=low

  * New upstream release
  * debian/control
  - Updated Standards-Version to 3.8.4 (no other changes)
  - Updated libclaws-mail-dev required version to 3.7.5
  - Add ${misc:Depends} to debug and meta packages
  - Reviewed short descriptions for cosmetic details

 -- Ricardo Mones <mones@debian.org>  Fri, 05 Feb 2010 08:46:26 +0100

claws-mail-extra-plugins (3.7.4-2) unstable; urgency=low

  * debian/rules, debian/control, debian/get-claws-last.sh
  - Make plugins depend on claws-mail version less than the last
    version computed from current (Closes: #564604, #565125)
  - Fix missing dependencies on a couple of plugins
  - Remove Conflicts/Replaces/Provides entries for the renamed
    sylpheed-claws-gtk2 packages.
  - Fix c-m-python-plugin dependency (Closes: #565211)

 -- Ricardo Mones <mones@debian.org>  Tue, 02 Feb 2010 11:04:44 +0100

claws-mail-extra-plugins (3.7.4-1) unstable; urgency=low

  * New upstream release
  * *-geolocation-*, manpages/*-geolocation-*, configure, rules,
    control, README.Packaging
  - Added new geolocation plugin
  - Added build depends: libchamplain-gtk-0.4-dev for it
  * debian/control
  - Fixed obsolete relations and missing misc:Depends (lintian!)
  - Removed libgtkhtml2-dev: not required since some time ago
    because it was embedded in the plugin (Closes: #561334)
  - Required libclaws-mail-dev version is 3.7.4

 -- Ricardo Mones <mones@debian.org>  Sat, 09 Jan 2010 02:19:01 +0100

claws-mail-extra-plugins (3.7.3-1) unstable; urgency=low

  * *-python-*, manpages/*-python-*.sgml, configure, rules, control
  - Added new python plugin in this release
  - New build depends: python-gtk2-dev (>= 2.10.3)
  - Bumped libclaws-mail-dev required version to 3.7.3
  * debian/control
  - Fixed -dbg package dependencies to include all plugins
  - Bumped Standards-Version to 3.8.3 (no other changes)
  * debian/README.source
  - Added file with reference to quilt
  * debian/rules, patches/series, patches/fancy-plugin*.patch
  - Disabled quilt and removed patch already upstream

 -- Ricardo Mones <mones@debian.org>  Sat, 10 Oct 2009 01:05:25 +0200

claws-mail-extra-plugins (3.7.2-1) unstable; urgency=low

  * New upstream release
  - vcalendar-plugin: fixes segfault in pvl_head (Closes: #521368)
  - html2-viewer: fixes segfault with HTML spam (Closes: #511336)
  * debian/control
  - Bumped Standards-Version to 3.8.2: fixed -dbg package section
  - Require libclaws-mail-dev 3.7.2
  - Added libwebkit-dev build-depend for new fancy-plugin
  - Added new plugins: bsfilter-plugin and fancy-plugin
  * debian/claws-mail-feeds-reader.docs.in
  - Remove missing TODO file
  * debian/*bsfilter-plugin.*, debian/manpages/*bsfilter-plugin.sgml
  - Added new bsfilter-plugin copyright, docs.in, manpages and manpage
  * debian/*fancy-plugin.*, debian/manpages/*fancy-plugin.sgml
  - Added new fancy-plugin copyright, docs.in, manpages and manpage
  * debian/rules, debian/configure
  - Added new plugins: bsfilter-plugin and fancy-plugin
  * debian/control
  - Add Debian lists nomination system to spam-report description
  * debian/control, debian/rules debian/patches/series,
    debian/patches/fancy-plugin01selected-cherries.patch
  - Patch to fix some late-discovered crashers from current CVS

 -- Ricardo Mones <mones@debian.org>  Sat, 04 Jul 2009 19:01:19 +0200

claws-mail-extra-plugins (3.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
  - Add required libclaws-mail-dev version

 -- Ricardo Mones <mones@debian.org>  Mon, 09 Mar 2009 01:54:35 +0100

claws-mail-extra-plugins (3.7.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #498445)
  * debian/control, debian/rules
  - Make metapackage description a bit more accurate
  - Improved 3 too short descriptions in binary packages
  - Fix debug package dependencies
  - Remove quilt dependency while series file is empty
  - Thank lintian for detecting these issues

 -- Ricardo Mones <mones@debian.org>  Sun, 01 Mar 2009 17:20:24 +0100

claws-mail-extra-plugins (3.7.0-1) experimental; urgency=low

  * New upstream release
  * debian/control
  - Required libclaws-mail-dev 3.7.0 (from experimental)
  - Explicitly depend on libcurl4-gnutls-dev for making Ubuntu
    packaging easier (Closes: #498445) 

 -- Ricardo Mones <mones@debian.org>  Thu, 25 Dec 2008 13:31:53 +0100

claws-mail-extra-plugins (3.6.1-1) experimental; urgency=low

  * New upstream release
  * patches/fix_newmail_crash.patch, patches/series
  - Remove fix, already in upstream source
  * debian/manpages/*-smime*, debian/*-smime*, debian/control, 
    debian/rules, debian/configure, debian/README.Packaging
  - Removed smime-plugin, now in core plugins (claws-mail source)
  * debian/control
  - Required libclaws-mail-dev 3.6.1 (in experimental)

 -- Ricardo Mones <mones@debian.org>  Thu, 16 Oct 2008 21:11:18 +0200

claws-mail-extra-plugins (3.5.0-3) unstable; urgency=high

  * patches/fix_newmail_crash.patch, patches/series
  - Added upstream fix for newmail plugin crash (Closes: #495300)

 -- Ricardo Mones <mones@debian.org>  Mon, 18 Aug 2008 14:23:35 +0200

claws-mail-extra-plugins (3.5.0-2) unstable; urgency=low

  * debian/control, debian/rules, debian/README.Packaging, debian/configure,
    debian/*-archiver-plugin.*, debian/manpages/*-archiver-plugin.*
  - Added new claws-mail-archiver-plugin (Closes: #489753)
  * debian/control
  - Fixed typo (thanks lintian)
  - Reverted libcurl-dev introduced previously: dependency is already
    pulled by libetpan-dev (Closes: #490528)

 -- Ricardo Mones <mones@debian.org>  Mon, 14 Jul 2008 19:23:48 +0200


