=== debian/control ===
Source: claws-mail-extra-plugins
Section: mail
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper (>= 5), libglib2.0-dev, libgtk2.0-dev,
 libclaws-mail-dev (>= 3.7.6),
 flex, bison,
 autotools-dev, pkg-config, libetpan-dev (>= 0.52),
 libcurl4-gnutls-dev, 
 libperl-dev (>= 5.8.0), perl (>= 5.8.0),
 docbook-to-man, libxml2-dev, libkrb5-dev,
 libsynce0-dev, librapi2-dev,
 libnotify-dev,
 libytnef0-dev,
 libarchive-dev,
 libwebkit-dev,
 python-gtk2-dev (>= 2.10.3),
 libchamplain-gtk-0.4-dev
Homepage: http://www.claws-mail.org/plugins
Standards-Version: 3.8.4

Package: claws-mail-extra-plugins
Architecture: all
Depends: ${misc:Depends}, claws-mail (>= ${Claws-Version}),
 claws-mail (<= ${Claws-Last}),
 claws-mail-vcalendar-plugin (>= ${binary:Version}),
 claws-mail-perl-filter (>= ${binary:Version}),
 claws-mail-feeds-reader (>= ${binary:Version}),
 claws-mail-mailmbox-plugin (>= ${binary:Version}),
 claws-mail-html2-viewer (>= ${binary:Version}),
 claws-mail-acpi-notifier (>= ${binary:Version}),
 claws-mail-attach-remover (>= ${binary:Version}),
 claws-mail-cache-saver (>= ${binary:Version}),
 claws-mail-fetchinfo-plugin (>= ${binary:Version}),
 claws-mail-newmail-plugin (>= ${binary:Version}),
 claws-mail-multi-notifier (>= ${binary:Version}),
 claws-mail-synce-plugin (>= ${binary:Version}),
 claws-mail-attach-warner (>= ${binary:Version}),
 claws-mail-spam-report (>= ${binary:Version}),
 claws-mail-tnef-parser (>= ${binary:Version}),
 claws-mail-archiver-plugin (>= ${binary:Version}),
 claws-mail-bsfilter-plugin (>= ${binary:Version}),
 claws-mail-fancy-plugin (>= ${binary:Version}),
 claws-mail-python-plugin (>= ${binary:Version}),
 claws-mail-geolocation-plugin (>= ${binary:Version})
Description: Extra plugins collection for Claws Mail
 This is a metapackage for installing all extra plugins packages
 available from the upstream site for the Claws Mail mailer.
 .
 See each individual package description for further details.

Package: claws-mail-extra-plugins-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${misc:Depends}, claws-mail-vcalendar-plugin (= ${binary:Version}) |
 claws-mail-perl-filter (= ${binary:Version}) |
 claws-mail-feeds-reader (= ${binary:Version}) |
 claws-mail-mailmbox-plugin (= ${binary:Version}) |
 claws-mail-html2-viewer (= ${binary:Version}) |
 claws-mail-acpi-notifier (= ${binary:Version}) |
 claws-mail-attach-remover (= ${binary:Version}) |
 claws-mail-cache-saver (= ${binary:Version}) |
 claws-mail-fetchinfo-plugin (= ${binary:Version}) |
 claws-mail-newmail-plugin (= ${binary:Version}) |
 claws-mail-multi-notifier (= ${binary:Version}) |
 claws-mail-synce-plugin (= ${binary:Version}) |
 claws-mail-attach-warner (= ${binary:Version}) |
 claws-mail-spam-report (= ${binary:Version}) |
 claws-mail-tnef-parser (= ${binary:Version}) |
 claws-mail-archiver-plugin (= ${binary:Version}) |
 claws-mail-bsfilter-plugin (= ${binary:Version}) |
 claws-mail-fancy-plugin (= ${binary:Version}) |
 claws-mail-python-plugin (= ${binary:Version}) |
 claws-mail-geolocation-plugin (= ${binary:Version})
Description: Debug symbols for Claws Mail Extra Plugins packages
 This package contains debug symbols useful for debugging the plugins
 within the claws-mail-extra-plugins package with gdb or any compatible 
 debugger.

Package: claws-mail-vcalendar-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: vCalendar message handling plugin for Claws Mail
 The vCalendar plugin for Claws Mail provides vCalendar message
 handling (the meeting subset of the vCalendar format), displaying such
 mails in a nice format, letting you create and send meetings, and creating
 a virtual folder with the meetings you sent or received.
 The functionality is similar to the provided by Evolution for that mails.

Package: claws-mail-perl-filter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: Message filtering plugin using perl for Claws Mail
 This plugin enables filtering of Claws Mail messages using perl
 regular expresions and, in fact, giving all the perl features and power
 to the filtering engine. 
 .
 A tool for converting the current filter set of the user into a equivalent
 perl script suitable for the plugin is also provided.

Package: claws-mail-feeds-reader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: Feeds (RSS/Atom) reader plugin for Claws Mail
 The RSSyl plugin provides feeds reading capability for Claws Mail mailer.
 .
 Supported formats are RSS (1.0, 2.0 and probably 0.9x versions) and 
 Atom feeds.
 .
 It integrates also with dillo viewer plugin to allow online browsing
 of entries, and has per-feed customization features, transforming
 your Claws Mail into a powerful lightweight feeds reader.

Package: claws-mail-mailmbox-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: mbox format mailboxes handler for Claws Mail
 The mailMBOX plugin for Claws Mail provides the ability of handling
 existing mbox format files using the libetpan library.
 .
 Once added, these files appear like mailer's native mail folders.

Package: claws-mail-html2-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: HTML mail or attachment viewer for Claws Mail
 This plugin enables viewing HTML mails and mail attachments within
 the Claws Mail message window.
 .
 The plugin uses a self maintainted improved version of the gtkhtml2 
 HTML rendering widget.

Package: claws-mail-acpi-notifier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: Laptop's Mail LED control for Claws Mail
 This plugin for the Claws Mail mailer enables notification
 of new mail using the mail LED available on some portable computer
 models from Acer, ASUS, Fujitsu and IBM makers.

Package: claws-mail-attach-remover
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: Mail attachment remover for Claws Mail
 This plugin for the Claws Mail mailer provides a way to remove unwanted 
 attachments from received mails.
 .
 All attachments can be removed or only the selected ones.
 All attachments are removed from the selected mails, there is no way to
 preserve an attachment while removing others.

Package: claws-mail-cache-saver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: Internal cache saver for Claws Mail
 This plugin for the Claws Mail allows saving the internal
 caches to disk periodically (each minute by default, or any other
 user-defined amount of time). It may help avoiding the loss of metadata
 on crashes.

Package: claws-mail-fetchinfo-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: Add X-FETCH headers plugin for Claws Mail
 This plugin for the Claws Mail mailer enables adding useful extra headers 
 to the reveived mails with information like the receiving account or the 
 server the mail was downloaded from. These extra headers can be used for 
 filtering and/or processing messages more appropriately.

Package: claws-mail-newmail-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: New mail logger plugin for Claws Mail
 This plugin for the Claws Mail mailer writes a summary of new messages' 
 headers to a log file.
 .
 This summary is written on arrival of new mail and after sorting it.

Package: claws-mail-multi-notifier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Recommends: notification-daemon
Description: A variety of new mail notifiers for Claws Mail
 This plugin for Claws Mail mailer collects several ways of notification 
 of new (and possibly unread) mail to the user. Currently, a popup window 
 and a mail banner are implemented.

Package: claws-mail-synce-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: Addressbook synchronization with Windows CE devices
 This plugin for Claws Mail assists in keeping the email addresses
 of a Windows CE device (Pocket PC, iPAQ, Smartphone) addressbook 
 synchronized with the Claws Mail addressbook.

Package: claws-mail-attach-warner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: Missing attachment warnings for Claws Mail
 This plugin for Claws Mail warns the user with a popup window if some
 reference to an attachment is found in the composed mail text but no
 file is attached.

Package: claws-mail-spam-report
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: Spam reporting plugin for Claws Mail
 This plugin for Claws Mail allows sending reports about spam
 messages received to spam harvesting sites online.
 .
 Currently are supported the signal-spam.fr and spamcop.net 
 sites and also the Debian lists spam nomination system.

Package: claws-mail-tnef-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: TNEF attachment handler for Claws Mail
 This plugin for Claws Mail allows reading of application/ms-tnef
 attachments. These attachments usually come from Microsoft mailers
 with the name 'winmail.dat'.

Package: claws-mail-archiver-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Enhances: claws-mail-vcalendar-plugin
Description: Archiver plugin for Claws Mail
 This plugin for Claws Mail allows archiving of account's folders (IMAP, 
 POP or local) as well as vcalendar folders.
 .
 Several formats are supported (TAR, PAX, SHAR and CPIO) with optional
 compression methods (GZIP, BZIP2).

Package: claws-mail-bsfilter-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last}), bsfilter
Description: Spam filtering using bsfilter for Claws Mail
 This plugin for Claws Mail allows filtering of spam messages using the
 Bayesian filtering program bsfilter.
 .
 The bsfilter can be trained with spam and ham messages to improve its
 spam detection capabilities.

Package: claws-mail-fancy-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
Description: HTML mail viewer using GTK+ WebKit
 This plugin for Claws Mail allows rendering of HTML email messages
 in the message window.
 .
 It uses the GTK+ port of the webkit library to render HTML.

Package: claws-mail-python-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last}), python-dev
Description: Python plugin and console for Claws Mail
 This plugin offers a Python scripting access to Claws Mail.
 .
 It features a console for testing and scripts can be saved for
 later usage as new menu items.
 .
 Currently only interface with menu options is implemented.

Package: claws-mail-geolocation-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
