=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

NS := claws-mail
CLAWS_VERSION = $(shell /bin/bash $(CURDIR)/debian/get-claws-ver.sh $(CURDIR))
CLAWS_LAST = $(shell /bin/bash $(CURDIR)/debian/get-claws-last.sh $(CURDIR))

IDIR    := $(CURDIR)/debian
PDIR    := $(CURDIR)/debian/manpages
GENDOCS := $(CURDIR)/debian/gendocs

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure-stamp:
	dh_testdir
	cp $(IDIR)/configure $(IDIR)/Makefile $(CURDIR)
	chmod +x $(CURDIR)/configure
	$(CURDIR)/configure --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	docbook-to-man $(PDIR)/$(NS)-extra-plugins.sgml \
		> $(PDIR)/$(NS)-extra-plugins.1
	# _______________________________________(vcalendar-plugin)____
	docbook-to-man $(PDIR)/$(NS)-vcalendar-plugin.sgml \
		> $(PDIR)/$(NS)-vcalendar-plugin.1
	# ____________________________________________(perl-filter)____
	pod2man $(CURDIR)/perl_plugin-*/cm_perl.pod \
	        > $(PDIR)/$(NS)-perl-filter.1
	pod2man $(PDIR)/matcherrc2perlfilter.pl.pod \
	        > $(PDIR)/matcherrc2perlfilter.1
	# ___________________________________________(feeds-reader)____
	docbook-to-man $(PDIR)/$(NS)-feeds-reader.sgml \
		> $(PDIR)/$(NS)-feeds-reader.1
	# ________________________________________(mailmbox-plugin)____
	docbook-to-man $(PDIR)/$(NS)-mailmbox-plugin.sgml \
		> $(PDIR)/$(NS)-mailmbox-plugin.1
	# __________________________________________(acpi-notifier)____
	docbook-to-man $(PDIR)/$(NS)-acpi-notifier.sgml \
		> $(PDIR)/$(NS)-acpi-notifier.1
	# _________________________________________(attach-remover)____
	docbook-to-man $(PDIR)/$(NS)-attach-remover.sgml \
		> $(PDIR)/$(NS)-attach-remover.1
	# ____________________________________________(cache-saver)____
	docbook-to-man $(PDIR)/$(NS)-cache-saver.sgml \
		> $(PDIR)/$(NS)-cache-saver.1
	# _______________________________________(fetchinfo-plugin)____
	docbook-to-man $(PDIR)/$(NS)-fetchinfo-plugin.sgml \
		> $(PDIR)/$(NS)-fetchinfo-plugin.1
	# ___________________________________________(html2-viewer)____
	docbook-to-man $(PDIR)/$(NS)-html2-viewer.sgml \
		> $(PDIR)/$(NS)-html2-viewer.1
	# _________________________________________(newmail-plugin)____
	docbook-to-man $(PDIR)/$(NS)-newmail-plugin.sgml \
		> $(PDIR)/$(NS)-newmail-plugin.1
	# _________________________________________(multi-notifier)____
	docbook-to-man $(PDIR)/$(NS)-multi-notifier.sgml \
		> $(PDIR)/$(NS)-multi-notifier.1
	# ___________________________________________(synce-plugin)____
	docbook-to-man $(PDIR)/$(NS)-synce-plugin.sgml \
		> $(PDIR)/$(NS)-synce-plugin.1
	# __________________________________________(attach-warner)____
	docbook-to-man $(PDIR)/$(NS)-attach-warner.sgml \
	        > $(PDIR)/$(NS)-attach-warner.1
	# ____________________________________________(spam-report)____
	docbook-to-man $(PDIR)/$(NS)-spam-report.sgml \
		> $(PDIR)/$(NS)-spam-report.1
	# ____________________________________________(tnef-parser)____
	docbook-to-man $(PDIR)/$(NS)-tnef-parser.sgml \
	        > $(PDIR)/$(NS)-tnef-parser.1
	# ________________________________________(archiver-plugin)____
	docbook-to-man $(PDIR)/$(NS)-archiver-plugin.sgml \
	        > $(PDIR)/$(NS)-archiver-plugin.1
	# ________________________________________(bsfilter-plugin)____
	docbook-to-man $(PDIR)/$(NS)-bsfilter-plugin.sgml \
		> $(PDIR)/$(NS)-bsfilter-plugin.1
	# ___________________________________________(fancy-plugin)____
	docbook-to-man $(PDIR)/$(NS)-fancy-plugin.sgml \
		> $(PDIR)/$(NS)-fancy-plugin.1
	# __________________________________________(python-plugin)____
	docbook-to-man $(PDIR)/$(NS)-python-plugin.sgml \
		> $(PDIR)/$(NS)-python-plugin.1
	# _____________________________________(geolocation-plugin)____
	docbook-to-man $(PDIR)/$(NS)-geolocation-plugin.sgml \
		> $(PDIR)/$(NS)-geolocation-plugin.1
	touch build-stamp

clean: clean-docs
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	-$(CURDIR)/configure --unconfigure
	rm -f $(CURDIR)/configure $(CURDIR)/Makefile
	# clean installdirs
	rm -rf $(IDIR)/vcalendar-* \
	       $(IDIR)/perl_plugin-* \
	       $(IDIR)/rssyl-* \
	       $(IDIR)/mailmbox-* \
	       $(IDIR)/gtkhtml2_viewer-* \
	       $(IDIR)/acpi_notifier-* \
	       $(IDIR)/att_remover-* \
	       $(IDIR)/cachesaver-* \
	       $(IDIR)/fetchinfo-plugin-* \
	       $(IDIR)/newmail-* \
	       $(IDIR)/notification_plugin-* \
	       $(IDIR)/synce_plugin-* \
	       $(IDIR)/attachwarner-* \
	       $(IDIR)/spam_report-* \
	       $(IDIR)/tnef_parse-* \
	       $(IDIR)/archive-* \
	       $(IDIR)/bsfilter_plugin-* \
	       $(IDIR)/fancy-* \
	       $(IDIR)/python_plugin-* \
	       $(IDIR)/geolocation_plugin-*
	# clean generated manpages
	rm -f $(PDIR)/$(NS)-extra-plugins.1 \
	      $(PDIR)/$(NS)-vcalendar-plugin.1 \
	      $(PDIR)/$(NS)-perl-filter.1 \
	      $(PDIR)/matcherrc2perlfilter.1 \
	      $(PDIR)/$(NS)-feeds-reader.1 \
	      $(PDIR)/$(NS)-mailmbox-plugin.1 \
	      $(PDIR)/$(NS)-acpi-notifier.1 \
	      $(PDIR)/$(NS)-attach-remover.1 \
	      $(PDIR)/$(NS)-cache-saver.1 \
	      $(PDIR)/$(NS)-fetchinfo-plugin.1 \
	      $(PDIR)/$(NS)-html2-viewer.1 \
	      $(PDIR)/$(NS)-newmail-plugin.1 \
	      $(PDIR)/$(NS)-multi-notifier.1 \
	      $(PDIR)/$(NS)-synce-plugin.1 \
	      $(PDIR)/$(NS)-attach-warner.1 \
	      $(PDIR)/$(NS)-spam-report.1 \
	      $(PDIR)/$(NS)-tnef-parser.1 \
	      $(PDIR)/$(NS)-archiver-plugin.1 \
	      $(PDIR)/$(NS)-bsfilter-plugin.1 \
	      $(PDIR)/$(NS)-fancy-plugin.1 \
	      $(PDIR)/$(NS)-python-plugin.1 \
	      $(PDIR)/$(NS)-geolocation-plugin.1
	dh_clean 

install:
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(IDIR)
	# _______________________________________[vcalendar-plugin]____
	mv $(IDIR)/vcalendar-*/* \
	   $(IDIR)/$(NS)-vcalendar-plugin
	# remove libical rests...
	rm -rf $(IDIR)/$(NS)-vcalendar-plugin/usr/include
	# ...and unwanted files
	rm -f $(IDIR)/$(NS)-vcalendar-plugin/usr/lib/$(NS)/plugins/*.*a
	# ____________________________________________[perl-filter]____
	mv $(IDIR)/perl_plugin-*/* \
	   $(IDIR)/$(NS)-perl-filter
	mkdir -p -m 755 $(IDIR)/$(NS)-perl-filter/usr/bin
	install -m 755 $(CURDIR)/perl_plugin-*/tools/matcherrc2perlfilter.pl \
	   $(IDIR)/$(NS)-perl-filter/usr/bin/matcherrc2perlfilter
	rm -f $(IDIR)/$(NS)-perl-filter/usr/lib/$(NS)/plugins/*.*a
	# ___________________________________________[feeds-reader]____
	mv $(IDIR)/rssyl-*/* \
	   $(IDIR)/$(NS)-feeds-reader
	rm -f $(IDIR)/$(NS)-feeds-reader/usr/lib/$(NS)/plugins/*.*a
	# ________________________________________[mailmbox-plugin]____
	mv $(IDIR)/mailmbox-*/* \
	   $(IDIR)/$(NS)-mailmbox-plugin
	rm -f $(IDIR)/$(NS)-mailmbox-plugin/usr/lib/$(NS)/plugins/*.*a
	# ___________________________________________[html2-viewer]____
	mv $(IDIR)/gtkhtml2_viewer-*/* \
	   $(IDIR)/$(NS)-html2-viewer
	rm -f $(IDIR)/$(NS)-html2-viewer/usr/lib/$(NS)/plugins/*.*a
	# __________________________________________[acpi-notifier]____
	mv $(IDIR)/acpi_notifier-*/* \
	   $(IDIR)/$(NS)-acpi-notifier
	rm -f $(IDIR)/$(NS)-acpi-notifier/usr/lib/$(NS)/plugins/*.*a
	# _________________________________________[attach-remover]____
	mv $(IDIR)/att_remover-*/* \
	   $(IDIR)/$(NS)-attach-remover
	rm -f $(IDIR)/$(NS)-attach-remover/usr/lib/$(NS)/plugins/*.*a
	# ____________________________________________[cache-saver]____
	mv $(IDIR)/cachesaver-*/* \
	   $(IDIR)/$(NS)-cache-saver
	rm -f $(IDIR)/$(NS)-cache-saver/usr/lib/$(NS)/plugins/*.*a
	# _______________________________________[fetchinfo-plugin]____
	mv $(IDIR)/fetchinfo-plugin-*/* \
	   $(IDIR)/$(NS)-fetchinfo-plugin
	rm -f $(IDIR)/$(NS)-fetchinfo-plugin/usr/lib/$(NS)/plugins/*.*a
	# _________________________________________[newmail-plugin]____
	mv $(IDIR)/newmail-*/* \
	   $(IDIR)/$(NS)-newmail-plugin
