## claws-mail-extra-plugins 3.7.8

=== debian/changelog ===
claws-mail-extra-plugins (3.7.8-1ubuntu2) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 May 2011 09:52:55 +0100

claws-mail-extra-plugins (3.7.8-1ubuntu1) natty; urgency=low

  * debian/control:
    - Build-depends against libwebkitgtk-dev instead of libwebkit-dev
    - Build-depends against libchamplain-gtk-0.8-dev instead of
      libchamplain-gtk-0.4-dev
  * debian/patches/transition-champlain0.8.patch: Transition to champlain 0.8

 -- Laurent Bigonville <bigon@ubuntu.com>  Sun, 30 Jan 2011 18:29:23 +0100

claws-mail-extra-plugins (3.7.8-1) unstable; urgency=low

  * New upstream release
  * debian/control
  - Recommend html2ps for html2-viewer (Closes: #577589) (LP: #517566)
  - Updated libclaws-mail-dev required version to 3.7.8
  - Bump Standards-Version to 3.9.1 (no other changes required)
  * manpages/claws-mail-spam-report.sgml
  - Add currently supported sites (Closes: #588274)
  * manpages/*-address-keeper.*, *-address-keeper.*,
    manpages/*-clamd-plugin.*, *-clamd-plugin.*,
    rules, control, configure, README.Packaging
  - Added new plugins: address-keeper, clamd-plugin
  * manpages/*-synce-plugin-*, *-synce-plugin-*,
    manpages/*-cache-saver-*, *-cache-saver-,
    rules, control, configure, README.Packaging
  - Removed obsolete/unmaintained plugins: cache-saver, synce-plugin
  * debian/*-python-plugin.examples.in, debian/genexamples, debian/rules
  - Add examples for python plugin (Closes: #582123)
  * patches/address-keeper01fix-duplicates.patch, patches/series
  - Add latest upstream bugfix when used with attach-warner
  * debian/docs
  - The README file is now called RELEASE_NOTES
  * debian/claws-mail-mailmbox-plugin.copyright
  - Remove reference to BSD license in commons-license to clean lintian
    warning (anyway full license text was already included)

 -- Ricardo Mones <mones@debian.org>  Mon, 13 Dec 2010 00:43:21 +0100
