=== debian/control ===
--- 
+++ 
@@ -3,21 +3,20 @@
 Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper (>= 5), libglib2.0-dev, libgtk2.0-dev,
- libclaws-mail-dev (>= 3.7.6),
+ libclaws-mail-dev (>= 3.7.8),
  flex, bison,
  autotools-dev, pkg-config, libetpan-dev (>= 0.52),
  libcurl4-gnutls-dev, 
  libperl-dev (>= 5.8.0), perl (>= 5.8.0),
  docbook-to-man, libxml2-dev, libkrb5-dev,
- libsynce0-dev, librapi2-dev,
  libnotify-dev,
  libytnef0-dev,
  libarchive-dev,
- libwebkit-dev,
+ libwebkitgtk-dev,
  python-gtk2-dev (>= 2.10.3),
- libchamplain-gtk-0.4-dev
+ libchamplain-gtk-0.8-dev
 Homepage: http://www.claws-mail.org/plugins
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: claws-mail-extra-plugins
 Architecture: all
@@ -30,11 +29,9 @@
  claws-mail-html2-viewer (>= ${binary:Version}),
  claws-mail-acpi-notifier (>= ${binary:Version}),
  claws-mail-attach-remover (>= ${binary:Version}),
- claws-mail-cache-saver (>= ${binary:Version}),
  claws-mail-fetchinfo-plugin (>= ${binary:Version}),
  claws-mail-newmail-plugin (>= ${binary:Version}),
  claws-mail-multi-notifier (>= ${binary:Version}),
- claws-mail-synce-plugin (>= ${binary:Version}),
  claws-mail-attach-warner (>= ${binary:Version}),
  claws-mail-spam-report (>= ${binary:Version}),
  claws-mail-tnef-parser (>= ${binary:Version}),
@@ -42,7 +39,9 @@
  claws-mail-bsfilter-plugin (>= ${binary:Version}),
  claws-mail-fancy-plugin (>= ${binary:Version}),
  claws-mail-python-plugin (>= ${binary:Version}),
- claws-mail-geolocation-plugin (>= ${binary:Version})
+ claws-mail-geolocation-plugin (>= ${binary:Version}),
+ claws-mail-clamd-plugin (>= ${binary:Version}),
+ claws-mail-address-keeper (>= ${binary:Version})
 Description: Extra plugins collection for Claws Mail
  This is a metapackage for installing all extra plugins packages
  available from the upstream site for the Claws Mail mailer.
@@ -60,11 +59,9 @@
  claws-mail-html2-viewer (= ${binary:Version}) |
  claws-mail-acpi-notifier (= ${binary:Version}) |
  claws-mail-attach-remover (= ${binary:Version}) |
- claws-mail-cache-saver (= ${binary:Version}) |
  claws-mail-fetchinfo-plugin (= ${binary:Version}) |
  claws-mail-newmail-plugin (= ${binary:Version}) |
  claws-mail-multi-notifier (= ${binary:Version}) |
- claws-mail-synce-plugin (= ${binary:Version}) |
  claws-mail-attach-warner (= ${binary:Version}) |
  claws-mail-spam-report (= ${binary:Version}) |
  claws-mail-tnef-parser (= ${binary:Version}) |
@@ -72,7 +69,9 @@
  claws-mail-bsfilter-plugin (= ${binary:Version}) |
  claws-mail-fancy-plugin (= ${binary:Version}) |
  claws-mail-python-plugin (= ${binary:Version}) |
- claws-mail-geolocation-plugin (= ${binary:Version})
+ claws-mail-geolocation-plugin (= ${binary:Version}) |
+ claws-mail-clamd-plugin (= ${binary:Version}) |
+ claws-mail-address-keeper (= ${binary:Version})
 Description: Debug symbols for Claws Mail Extra Plugins packages
  This package contains debug symbols useful for debugging the plugins
  within the claws-mail-extra-plugins package with gdb or any compatible 
@@ -129,6 +128,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
+Recommends: html2ps
 Description: HTML mail or attachment viewer for Claws Mail
  This plugin enables viewing HTML mails and mail attachments within
  the Claws Mail message window.
@@ -156,16 +156,6 @@
  All attachments can be removed or only the selected ones.
  All attachments are removed from the selected mails, there is no way to
  preserve an attachment while removing others.
-
-Package: claws-mail-cache-saver
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
-Description: Internal cache saver for Claws Mail
- This plugin for the Claws Mail allows saving the internal
- caches to disk periodically (each minute by default, or any other
- user-defined amount of time). It may help avoiding the loss of metadata
- on crashes.
 
 Package: claws-mail-fetchinfo-plugin
 Architecture: any
@@ -197,15 +187,6 @@
  of new (and possibly unread) mail to the user. Currently, a popup window 
  and a mail banner are implemented.
 
-Package: claws-mail-synce-plugin
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
-Description: Addressbook synchronization with Windows CE devices
- This plugin for Claws Mail assists in keeping the email addresses
- of a Windows CE device (Pocket PC, iPAQ, Smartphone) addressbook 
- synchronized with the Claws Mail addressbook.
-
 Package: claws-mail-attach-warner
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -283,3 +264,22 @@
 Package: claws-mail-geolocation-plugin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
+ claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
+Description: Geolocation of senders for Claws Mail
+ This plugins allows geographical location of mail sender in a
+ map displayed in message window.
+ .
+ Notice that inferring geographical location from mail headers is by
+ nature inaccurate, and some servers, mainly mail list servers, are 
+ known to mangle message headers. Mails comming from them will appear
+ located at the mail list server position and not at sender's position.
+ .
+ In case of doubt do not rely on the results shown by this plugin.
+
+Package: claws-mail-clamd-plugin
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
+Recommends: clamav
+Description: ClamAV socket-based plugin for Claws Mail
+ This plugin uses Clam AntiVirus to scan all messages that are
