## claws-mail-extra-plugins 3.7.9

=== debian/changelog ===
claws-mail-extra-plugins (3.7.9-1ubuntu2) oneiric; urgency=low

  * debian/patches/add-missing-include.patch: Add missing include to fix FTBFS
    on amd64.

 -- Laurent Bigonville <bigon@ubuntu.com>  Sun, 12 Jun 2011 18:27:31 +0200

claws-mail-extra-plugins (3.7.9-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Build-depends against libwebkitgtk-dev instead of libwebkit-dev

 -- Laurent Bigonville <bigon@ubuntu.com>  Sat, 11 Jun 2011 16:40:32 +0200

claws-mail-extra-plugins (3.7.9-1) unstable; urgency=low

  * New upstream release
  * debian/control
  - Update libclaws-mail-dev required version to 3.7.9
  - Update Standards-Version to 3.9.2 (no other changes required)
  * debian/control, patches/series
    patches/geolocation-plugin01transition-libchamplain-0.8.patch
  - Update libchamplain version to 0.8 (Closes: #622600)
  - Patch to make configure use newer libchamplain
  * patches/series, patches/address-keeper01fix-duplicates.patch
  - Remove latest fix from CVS patch, already in source

 -- Ricardo Mones <mones@debian.org>  Mon, 18 Apr 2011 07:58:55 +0200
