=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: claws-mail-extra-plugins
 Section: mail
 Priority: optional
-Maintainer: Ricardo Mones <mones@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper (>= 5), libglib2.0-dev, libgtk2.0-dev,
- libclaws-mail-dev (>= 3.7.8),
+ libclaws-mail-dev (>= 3.7.9),
  flex, bison,
  autotools-dev, pkg-config, libetpan-dev (>= 0.52),
  libcurl4-gnutls-dev, 
@@ -16,7 +17,7 @@
  python-gtk2-dev (>= 2.10.3),
  libchamplain-gtk-0.8-dev
 Homepage: http://www.claws-mail.org/plugins
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: claws-mail-extra-plugins
 Architecture: all
@@ -281,5 +282,3 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
  claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
 Recommends: clamav
-Description: ClamAV socket-based plugin for Claws Mail
- This plugin uses Clam AntiVirus to scan all messages that are
