=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 IDIR    := $(CURDIR)/debian
 PDIR    := $(CURDIR)/debian/manpages
 GENDOCS := $(CURDIR)/debian/gendocs
+GENXAMP := $(CURDIR)/debian/genexamples
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -54,9 +55,6 @@
 	# _________________________________________(attach-remover)____
 	docbook-to-man $(PDIR)/$(NS)-attach-remover.sgml \
 		> $(PDIR)/$(NS)-attach-remover.1
-	# ____________________________________________(cache-saver)____
-	docbook-to-man $(PDIR)/$(NS)-cache-saver.sgml \
-		> $(PDIR)/$(NS)-cache-saver.1
 	# _______________________________________(fetchinfo-plugin)____
 	docbook-to-man $(PDIR)/$(NS)-fetchinfo-plugin.sgml \
 		> $(PDIR)/$(NS)-fetchinfo-plugin.1
@@ -69,9 +67,6 @@
 	# _________________________________________(multi-notifier)____
 	docbook-to-man $(PDIR)/$(NS)-multi-notifier.sgml \
 		> $(PDIR)/$(NS)-multi-notifier.1
-	# ___________________________________________(synce-plugin)____
-	docbook-to-man $(PDIR)/$(NS)-synce-plugin.sgml \
-		> $(PDIR)/$(NS)-synce-plugin.1
 	# __________________________________________(attach-warner)____
 	docbook-to-man $(PDIR)/$(NS)-attach-warner.sgml \
 	        > $(PDIR)/$(NS)-attach-warner.1
@@ -96,9 +91,15 @@
 	# _____________________________________(geolocation-plugin)____
 	docbook-to-man $(PDIR)/$(NS)-geolocation-plugin.sgml \
 		> $(PDIR)/$(NS)-geolocation-plugin.1
+	# _________________________________________(address-keeper)____
+	docbook-to-man $(PDIR)/$(NS)-address-keeper.sgml \
+		> $(PDIR)/$(NS)-address-keeper.1
+	# ___________________________________________(clamd-plugin)____
+	docbook-to-man $(PDIR)/$(NS)-clamd-plugin.sgml \
+		> $(PDIR)/$(NS)-clamd-plugin.1
 	touch build-stamp
 
-clean: clean-docs
+clean: clean-docs clean-examples
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -113,11 +114,9 @@
 	       $(IDIR)/gtkhtml2_viewer-* \
 	       $(IDIR)/acpi_notifier-* \
 	       $(IDIR)/att_remover-* \
-	       $(IDIR)/cachesaver-* \
 	       $(IDIR)/fetchinfo-plugin-* \
 	       $(IDIR)/newmail-* \
 	       $(IDIR)/notification_plugin-* \
-	       $(IDIR)/synce_plugin-* \
 	       $(IDIR)/attachwarner-* \
 	       $(IDIR)/spam_report-* \
 	       $(IDIR)/tnef_parse-* \
@@ -125,7 +124,9 @@
 	       $(IDIR)/bsfilter_plugin-* \
 	       $(IDIR)/fancy-* \
 	       $(IDIR)/python_plugin-* \
-	       $(IDIR)/geolocation_plugin-*
+	       $(IDIR)/geolocation_plugin-* \
+	       $(IDIR)/address_keeper-* \
+	       $(IDIR)/clamd-*
 	# clean generated manpages
 	rm -f $(PDIR)/$(NS)-extra-plugins.1 \
 	      $(PDIR)/$(NS)-vcalendar-plugin.1 \
@@ -135,12 +136,10 @@
 	      $(PDIR)/$(NS)-mailmbox-plugin.1 \
 	      $(PDIR)/$(NS)-acpi-notifier.1 \
 	      $(PDIR)/$(NS)-attach-remover.1 \
-	      $(PDIR)/$(NS)-cache-saver.1 \
 	      $(PDIR)/$(NS)-fetchinfo-plugin.1 \
 	      $(PDIR)/$(NS)-html2-viewer.1 \
 	      $(PDIR)/$(NS)-newmail-plugin.1 \
 	      $(PDIR)/$(NS)-multi-notifier.1 \
-	      $(PDIR)/$(NS)-synce-plugin.1 \
 	      $(PDIR)/$(NS)-attach-warner.1 \
 	      $(PDIR)/$(NS)-spam-report.1 \
 	      $(PDIR)/$(NS)-tnef-parser.1 \
@@ -148,7 +147,9 @@
 	      $(PDIR)/$(NS)-bsfilter-plugin.1 \
 	      $(PDIR)/$(NS)-fancy-plugin.1 \
 	      $(PDIR)/$(NS)-python-plugin.1 \
-	      $(PDIR)/$(NS)-geolocation-plugin.1
+	      $(PDIR)/$(NS)-geolocation-plugin.1 \
+	      $(PDIR)/$(NS)-address-keeper.1 \
+	      $(PDIR)/$(NS)-clamd-plugin.1
 	dh_clean 
 
 install:
@@ -191,10 +192,6 @@
 	mv $(IDIR)/att_remover-*/* \
 	   $(IDIR)/$(NS)-attach-remover
 	rm -f $(IDIR)/$(NS)-attach-remover/usr/lib/$(NS)/plugins/*.*a
-	# ____________________________________________[cache-saver]____
-	mv $(IDIR)/cachesaver-*/* \
-	   $(IDIR)/$(NS)-cache-saver
-	rm -f $(IDIR)/$(NS)-cache-saver/usr/lib/$(NS)/plugins/*.*a
 	# _______________________________________[fetchinfo-plugin]____
 	mv $(IDIR)/fetchinfo-plugin-*/* \
 	   $(IDIR)/$(NS)-fetchinfo-plugin
@@ -202,3 +199,5 @@
 	# _________________________________________[newmail-plugin]____
 	mv $(IDIR)/newmail-*/* \
 	   $(IDIR)/$(NS)-newmail-plugin
+	rm -f $(IDIR)/$(NS)-newmail-plugin/usr/lib/$(NS)/plugins/*.*a
+	# _________________________________________[multi-notifier]____
