## claws-mail-extra-plugins 3.7.10

=== debian/changelog ===
claws-mail-extra-plugins (3.7.10-3) unstable; urgency=medium

  * debian/manpages/claws-mail-multi-notifier.sgml
  - Fix SGML (Closes: #623307)
  * debian/patches/python-plugin00dont-dlopen-symlink.patch
  - Don't dlopen libpython.so symlink (Closes: #644582)
    Thanks Jakub Wilk for the patch.
  * debian/patches/fancy-plugin00dont-use-private-symbols.patch
  - Upstream fix to not use webkit private symbols (Closes: #646237)
  - Urgency set to medium because of serious bug.

 -- Ricardo Mones <mones@debian.org>  Tue, 01 Nov 2011 23:45:50 +0100

claws-mail-extra-plugins (3.7.10-2) unstable; urgency=low

  * debian/control
  - Update libclaws-mail-dev required version to 3.7.10
  - Development moved to git.debian.org: added Vcs-* headers
  * debian/copyright, debian/claws-mail*.copyright
  - Review and update all copyright files to follow DEP5

 -- Ricardo Mones <mones@debian.org>  Tue, 30 Aug 2011 01:21:52 +0200

claws-mail-extra-plugins (3.7.10-1) unstable; urgency=low

  * New upstream release
  * patches/geolocation*, patches/series
  - Remove transitional patch
  * debian/*gdata*, debian/manpages/*gdata*, README.Packaging,
    configure, control, rules
  - Added new gdata-plugin
  * debian/rules
  - Add build-arch and build-indep targets (thanks lintian)
  * manpages/*geolocation*.sgml
  - Slightly better wording to make it lintian clean
  * debian/control
  - Improve multi-notifier short description (thanks lintian)

 -- Ricardo Mones <mones@debian.org>  Mon, 29 Aug 2011 08:07:09 +0200

claws-mail-extra-plugins (3.7.9-2) unstable; urgency=low

  * debian/control, debian/README.Packaging
  - Fix build depends for webkit 1.3 transition (Closes: #635405)

 -- Ricardo Mones <mones@debian.org>  Sun, 31 Jul 2011 12:41:03 +0200
