=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: claws-mail-extra-plugins
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ricardo Mones <mones@debian.org>
+Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper (>= 5), libglib2.0-dev, libgtk2.0-dev,
- libclaws-mail-dev (>= 3.7.9),
+ libclaws-mail-dev (>= 3.7.10),
  flex, bison,
  autotools-dev, pkg-config, libetpan-dev (>= 0.52),
  libcurl4-gnutls-dev, 
@@ -15,9 +14,12 @@
  libarchive-dev,
  libwebkitgtk-dev,
  python-gtk2-dev (>= 2.10.3),
- libchamplain-gtk-0.8-dev
+ libchamplain-gtk-0.8-dev,
+ libgdata-dev (>= 0.6.4), libgdata-dev (<< 0.9.0)
 Homepage: http://www.claws-mail.org/plugins
 Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/git/users/mones/claws-mail-extra-plugins.git
+Vcs-Browser: http://git.debian.org/?p=users/mones/claws-mail-extra-plugins.git
 
 Package: claws-mail-extra-plugins
 Architecture: all
@@ -42,7 +44,8 @@
  claws-mail-python-plugin (>= ${binary:Version}),
  claws-mail-geolocation-plugin (>= ${binary:Version}),
  claws-mail-clamd-plugin (>= ${binary:Version}),
- claws-mail-address-keeper (>= ${binary:Version})
+ claws-mail-address-keeper (>= ${binary:Version}),
+ claws-mail-gdata-plugin (>= ${binary:Version})
 Description: Extra plugins collection for Claws Mail
  This is a metapackage for installing all extra plugins packages
  available from the upstream site for the Claws Mail mailer.
@@ -183,7 +186,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
  claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
 Recommends: notification-daemon
-Description: A variety of new mail notifiers for Claws Mail
+Description: Various new mail notifiers for Claws Mail
  This plugin for Claws Mail mailer collects several ways of notification 
  of new (and possibly unread) mail to the user. Currently, a popup window 
  and a mail banner are implemented.
@@ -253,7 +256,7 @@
 Package: claws-mail-python-plugin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last}), python-dev
+ claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
 Description: Python plugin and console for Claws Mail
  This plugin offers a Python scripting access to Claws Mail.
  .
@@ -279,6 +282,3 @@
 
 Package: claws-mail-clamd-plugin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- claws-mail (>= ${Claws-Version}), claws-mail (<= ${Claws-Last})
-Recommends: clamav
