=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,11 @@
 		--infodir=/usr/share/info
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp: configure-stamp
 	dh_testdir
@@ -97,6 +101,9 @@
 	# ___________________________________________(clamd-plugin)____
 	docbook-to-man $(PDIR)/$(NS)-clamd-plugin.sgml \
 		> $(PDIR)/$(NS)-clamd-plugin.1
+	# ___________________________________________(gdata-plugin)____
+	docbook-to-man $(PDIR)/$(NS)-gdata-plugin.sgml \
+		> $(PDIR)/$(NS)-gdata-plugin.1
 	touch build-stamp
 
 clean: clean-docs clean-examples
@@ -126,7 +133,8 @@
 	       $(IDIR)/python_plugin-* \
 	       $(IDIR)/geolocation_plugin-* \
 	       $(IDIR)/address_keeper-* \
-	       $(IDIR)/clamd-*
+	       $(IDIR)/clamd-* \
+	       $(IDIR)/gdata_plugin-*
 	# clean generated manpages
 	rm -f $(PDIR)/$(NS)-extra-plugins.1 \
 	      $(PDIR)/$(NS)-vcalendar-plugin.1 \
@@ -149,7 +157,8 @@
 	      $(PDIR)/$(NS)-python-plugin.1 \
 	      $(PDIR)/$(NS)-geolocation-plugin.1 \
 	      $(PDIR)/$(NS)-address-keeper.1 \
-	      $(PDIR)/$(NS)-clamd-plugin.1
+	      $(PDIR)/$(NS)-clamd-plugin.1 \
+	      $(PDIR)/$(NS)-gdata-plugin.1
 	dh_clean 
 
 install:
@@ -195,9 +204,3 @@
 	# _______________________________________[fetchinfo-plugin]____
 	mv $(IDIR)/fetchinfo-plugin-*/* \
 	   $(IDIR)/$(NS)-fetchinfo-plugin
-	rm -f $(IDIR)/$(NS)-fetchinfo-plugin/usr/lib/$(NS)/plugins/*.*a
-	# _________________________________________[newmail-plugin]____
-	mv $(IDIR)/newmail-*/* \
-	   $(IDIR)/$(NS)-newmail-plugin
-	rm -f $(IDIR)/$(NS)-newmail-plugin/usr/lib/$(NS)/plugins/*.*a
-	# _________________________________________[multi-notifier]____
